<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <RelativeLayout
        android:id="@+id/id_rl_title_view"
        android:layout_width="match_parent"
        android:layout_height="230dp"
        android:background="@drawable/img_rights_title_bg">

        <View
            android:id="@+id/id_rights_detail_title_sys_bar_view"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginBottom="10dp" />

        <ImageView
            android:id="@+id/id_img_back"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_below="@id/id_rights_detail_title_sys_bar_view"
            android:layout_marginLeft="16dp"
            android:src="@drawable/img_rights_fanhui" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/id_rights_detail_title_sys_bar_view"
            android:layout_centerHorizontal="true"
            android:includeFontPadding="false"
            android:text="权益详情"
            android:textColor="#FFF5E9"
            android:textSize="18sp"
            android:textStyle="bold" />


        <RelativeLayout
            android:id="@+id/id_rl_logo_bg"
            android:layout_width="42dp"
            android:layout_height="42dp"
            android:layout_below="@+id/id_img_back"
            android:layout_marginStart="35dp"
            android:layout_marginTop="45dp"
            android:layout_marginEnd="10dp"
            android:background="@drawable/img_rights_logo_bg">

            <ImageView
                android:id="@+id/id_img_bread_logo"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:layout_centerInParent="true"
                android:scaleType="fitXY" />
        </RelativeLayout>

        <TextView
            android:id="@+id/id_tv_bread_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/id_rl_logo_bg"
            android:layout_toRightOf="@id/id_rl_logo_bg"
            android:text=""
            android:textColor="#EECAB2"
            android:textSize="18sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/id_tv_bread_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/id_tv_bread_name"
            android:layout_marginTop="4dp"
            android:layout_toRightOf="@id/id_rl_logo_bg"
            android:text=""
            android:textColor="#BDA18B"
            android:textSize="14sp"
            android:textStyle="bold" />


    </RelativeLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/id_rl_title_view"
        android:background="#F3F4F5">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">
            <!--会员账号-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/id_ll_vip_phone"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="16dp"
                    android:layout_marginTop="20dp"
                    android:background="@color/white"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <View
                        android:layout_width="3dp"
                        android:layout_height="14dp"
                        android:background="@drawable/shape_edd49d_r2" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="4dp"
                        android:text="会员账号"
                        android:textColor="@color/color_333333"
                        android:textSize="14sp"
                        android:textStyle="bold" />

                </LinearLayout>

                <EditText
                    android:id="@+id/id_edt_user_phone_number"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_below="@id/id_ll_vip_phone"
                    android:layout_marginLeft="23dp"
                    android:layout_marginRight="23dp"
                    android:background="@color/white"
                    android:gravity="bottom"
                    android:hint="请输入您的手机号"
                    android:inputType="phone"
                    android:paddingBottom="8dp"
                    android:textColorHint="@color/color_999999"
                    android:textSize="14sp" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginLeft="23dp"
                    android:layout_marginRight="23dp"
                    android:layout_marginBottom="10dp"
                    android:background="#F0F0F0" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="10dp"
                android:background="#F3F4F5" />
            <!--套餐-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/id_ll_vip_package"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="16dp"
                    android:layout_marginTop="16dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <View
                        android:layout_width="3dp"
                        android:layout_height="14dp"
                        android:background="@drawable/shape_edd49d_r2" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="4dp"
                        android:text="会员套餐"
                        android:textColor="@color/color_333333"
                        android:textSize="14sp"
                        android:textStyle="bold" />

                </LinearLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/id_rcl_vip_package_list"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="12dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginRight="12dp"
                    android:layout_marginBottom="10dp" />
            </LinearLayout>


            <View
                android:layout_width="match_parent"
                android:layout_height="10dp"
                android:background="#F3F4F5" />

            <!--权益说明-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/id_ll_rights_desc"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="16dp"
                    android:layout_marginTop="16dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <View
                        android:layout_width="3dp"
                        android:layout_height="14dp"
                        android:background="@drawable/shape_edd49d_r2" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="4dp"
                        android:text="权益说明"
                        android:textColor="@color/color_333333"
                        android:textSize="14sp"
                        android:textStyle="bold" />

                </LinearLayout>

                <TextView
                    android:id="@+id/id_tv_rights_instructions"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="16dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginRight="16dp"
                    android:layout_marginBottom="16dp"
                    android:text=""
                    android:textColor="@color/color_666666"
                    android:textSize="12sp" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="88dp"
                android:background="#F3F4F5" />

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="24dp"
        android:gravity="center"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/img_rights_bottom_pay_left_bg"
            android:gravity="center">

            <TextView
                android:id="@+id/id_tv_bread_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="8dp"
                android:gravity="center"
                android:text="¥ 0"
                android:textColor="#FDDFA5"
                android:textSize="18sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/id_tv_bread_save_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="left"
                android:text="立省0.00元"
                android:textColor="#FDDFA5"
                android:textSize="12sp"
                android:textStyle="bold" />

        </LinearLayout>

        <TextView
            android:id="@+id/id_tv_buy_right"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="2"
            android:background="@drawable/img_rights_bottom_pay_right_bg"
            android:gravity="center"
            android:text="立即购买"
            android:textColor="@color/color_333333"
            android:textSize="16sp"
            android:textStyle="bold" />

    </LinearLayout>

    <RelativeLayout
        android:id="@+id/id_rl_h5_pay_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="50dp"
        android:visibility="gone">

        <WebView
            android:id="@+id/id_rights_pay_web_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <ImageView
            android:id="@+id/id_img_close_pay_web"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignRight="@id/id_rights_pay_web_view"
            android:padding="10dp"
            android:src="@drawable/icon_guanbi" />

    </RelativeLayout>
    <RelativeLayout
        android:id="@+id/id_rl_suc_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/img_rights_pay_suc_bg"
        android:padding="0dp"
        android:visibility="gone">


        <View
            android:id="@+id/id_rights_detail_title_sys_bar_view2"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginBottom="10dp" />

        <ImageView
            android:id="@+id/id_img_back2"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_below="@id/id_rights_detail_title_sys_bar_view2"
            android:layout_marginLeft="16dp"
            android:src="@drawable/icon_fanhui" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/id_rights_detail_title_sys_bar_view2"
            android:layout_centerHorizontal="true"
            android:includeFontPadding="false"
            android:text="支付结果"
            android:textColor="@color/color_333333"
            android:textSize="18sp"
            android:textStyle="bold" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/id_img_back2"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="100dp"
            android:drawableTop="@drawable/img_rights_pay_suc_icon"
            android:gravity="center"
            android:text="恭喜您\n本次交易成功！"
            android:textColor="@color/color_333333"
            android:textSize="18sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/id_tv_btn_order"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="40dp"
            android:background="@drawable/img_black_btn_bg"
            android:gravity="center"
            android:text="查看订单"
            android:textColor="#FDDFA5"
            android:textSize="18sp"
            android:textStyle="bold" />

    </RelativeLayout>
</RelativeLayout>
